version: '3.8'
services:
  apache:
    build: ./.docker/apache
    ports:
      - 9090:80
    volumes:
      - ./public:/var/www/html/public:ro
      - ./.docker/apache/config/vhosts.conf:/etc/apache2/sites-enabled/vhosts.conf:ro
    depends_on:
      - php
  php:
    build:
      context: .
      dockerfile: ./.docker/php/Dockerfile
    environment:
      APP_ENV: ${APP_ENV}
      MYSQL_HOST: mysql
      MYSQL_PORT: 3306
    volumes:
      - .:/var/www/html:rw
      - ./.docker/php/logs:/app/var/logs:rw
    depends_on:
      - mysql
  mysql:
    image: mysql:8.0.19
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: secret
    volumes:
      - ./.docker/mysql/config/mysql-docker.cnf:/etc/mysql/conf.d/mysql-docker.cnf:rw
      - ./.docker/mysql/config/init-db.sql:/docker-entrypoint-initdb.d/init-db.sql:rw
      - mysql-data:/var/lib/mysql
    ports:
      - 3306:3306
  phpmyadmin:
    image: phpmyadmin/phpmyadmin:5.0.1
    container_name: phpmyadmin
    restart: always
    environment:
      PMA_HOST: mysql
      PMA_USER: root
      PMA_PASSWORD: secret
    ports:
      - 9091:80
volumes:
  mysql-data:
